# Create a New Client

### Prerequisites

Review the steps in the [Getting Started](/english/agencyhandy-user-guide-for-agency/api-integration-guide/getting-started.md) guide before updating an order. It walks through configuring your API token, and selecting the correct `companyid`, which are all required for the instructions below.

### Step 1: Create a New Client

#### 📍 Endpoint:

`{{URL}}/company/{{companyId}}/members/bulk-client`

#### 🛠️ Set Headers:

```http
x-api-key: <API_KEY>
companyId: <COMPANY_ID>
```

#### 📦 Request Body:

```json
[
    {
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "isConvertedClient": false,
      "status": "New",
      "contactNo": "1234567890",
      "source": "website",
      "positionInBoard": 1
    }
]
```

#### ✅ Success Response:

```json
{
  "message": "Lea created successfully",
  "createdMembers": [
    {
      "_id": "NEW_MEMBER_ID",
      "name": "John Doe",
      "status": "New",
      "role": "client"
    }
  ]
}
```

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agencyhandy.com/english/agencyhandy-user-guide-for-agency/api-integration-guide/create-a-new-client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
